Bug 1290474 - [RFE] API endpoint to update content view of a host
[RFE] API endpoint to update content view of a host
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API - Content (Show other bugs)
6.1.4
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
http://projects.theforeman.org/issues...
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 10:50 EST by sgarciam
Modified: 2018-04-29 01:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 14625 None None None 2016-04-22 12:06 EDT

  None (edit)
Description sgarciam 2015-12-10 10:50:05 EST
Description of problem:
/api/katello/systems endpoint is deprecated according to documentation but can't find any other endpoint to update a host to change it's content view.


Version-Release number of selected component (if applicable):
Red Hat Satellite 6.0.4 / API v2


Additional info:
I've review what hammer does and it is actually using /api/katello/systems endpoint.
Comment 1 Bryan Kearney 2016-04-13 15:43:05 EDT
The /hosts api should support this.. but this did not make 6.2. Adding to 6.3 to get he hammer CLI and hosts api in there. This should back the 


hammer content-host update --content-view-id id  --name name 

command
Comment 2 Bryan Kearney 2016-04-13 15:43:31 EDT
Created redmine issue http://projects.theforeman.org/issues/14625 from this bug
Comment 3 Bryan Kearney 2016-07-08 16:48:43 EDT
Per 6.3 planning, moving out non acked bugs to the backlog
Comment 5 Bryan Kearney 2016-08-10 15:11:55 EDT
Upstream bug component is API - Content
Comment 6 Bryan Kearney 2016-08-10 16:12:57 EDT
Upstream bug component is API
Comment 7 Bryan Kearney 2016-08-10 18:12:36 EDT
Upstream bug component is API - Content

Note You need to log in before you can comment on or make changes to this bug.